[Raspberry Pi 3] Mettre a jour sa distribution Raspbian Stretch vers Buster

 

Mettre a jour sa distribution Raspbian Stretch vers Buster sur Raspberry Pi 3
Article original Publié le : 04 avril 2020
Mise a jour le : 04 avril 2020

 

Vérifier la version

$ cat /etc/debian_version
9.11

 

Mettre a jour les paquets dans sa version actuelle, nettoyer les paquets obsolètes et cleaner le cache

$ sudo apt update
$ sudo apt upgrade && sudo apt dist-upgrade
$ sudo apt autoremove
$ sudo apt clean all

 

Modifier rapidement la version a upgrade avec sed

$ sudo sed -i 's/stretch/buster/g' /etc/apt/sources.list

 

Mettre a jour avec le nouveau repo

$ sudo apt update
Atteint:1 http://archive.raspberrypi.org/debian stretch InRelease
Rception de:2 http://raspbian.raspberrypi.org/raspbian buster InRelease [15,0 kB]
Rception de:3 http://raspbian.raspberrypi.org/raspbian buster/main armhf Packages [13,0 MB]
Rception de:4 http://raspbian.raspberrypi.org/raspbian buster/contrib armhf Packages [58,7 kB]
Rception de:5 http://raspbian.raspberrypi.org/raspbian buster/non-free armhf Packages [103 kB]
Rception de:6 http://raspbian.raspberrypi.org/raspbian buster/rpi armhf Packages [1 360 B]
13,2 Mo rceptionns en 13s (976 ko/s)
Lecture des listes de paquets... Fait

 

Vérifier la liste des composants et des librairies qui vont être mis a jour, la liste est longue.

$ sudo apt list --upgradable
...
apt-transport-https/stable 1.8.2 armhf [upgradable from: 1.4.9]
apt-utils/stable 1.8.2 armhf [upgradable from: 1.4.9]
aptitude/stable 0.8.11-7 armhf [upgradable from: 0.8.7-1]
aptitude-common/stable 0.8.11-7 all [upgradable from: 0.8.7-1]
avahi-daemon/stable 0.7-4+b1 armhf [upgradable from: 0.6.32-2]
base-files/stable 10.3+rpi1+deb10u3 armhf [upgradable from: 9.9+rpi1+deb9u11]
base-passwd/stable 3.5.46 armhf [upgradable from: 3.5.43]
bash/stable 5.0-4 armhf [upgradable from: 4.4-5]
bash-completion/stable 1:2.8-6 all [upgradable from: 1:2.1-4.3]
bind9-host/stable 1:9.11.5.P4+dfsg-5.1 armhf [upgradable from: 1:9.10.3.dfsg.P4-12.3+deb9u4]
binutils/stable 2.31.1-16+rpi2 armhf [upgradable from: 2.28-5]
blends-tasks/stable 0.7.2 all [upgradable from: 0.6.96]
...

 

Reste plus qu’a faire l’upgrade de tous les paquets

$ sudo apt upgrade && sudo apt dist-upgrade

 

Vérifier la version

$ cat /etc/debian_version
10.3

 

Un p’tit reboot lui fera le plus grand bien, mon uptime est de +2 ans

$ uptime
00:59:22 up 812 days, 12:42, 1 user, load average: 0.12, 0.52, 0.41

 

UPDATE 04/04/2020:  Bon le Raspberry n’a pas rebooté 😀 !!

Après recherche sur différents forums, il est recommandé de faire un full-upgrade mais n’ayant plus la main sur le système, il faut que je puisse récupérer un prompt.

Voici l’article pour reprendre la main si le système est locked

 

Sinon pour l’upgrade complet du système lancer la commande

$ sudo apt full-upgrade

 

Patienter 1 bonne heure et rebooter 😎

 

 

No votes yet.
Please wait...

3 thoughts to “[Raspberry Pi 3] Mettre a jour sa distribution Raspbian Stretch vers Buster”

  1. bonjour.
    J’ai le massage suivant : sudo apt upgrade && sudo apt dist-upgrade que dois je faire….je suis novice !
    merci pour votre aide

    No votes yet.
    Please wait...
    1. Bonjour,

      Il faudrait mettre a jour le système, faire un apt autoremove et un apt clean all avant de faire un apt update

      No votes yet.
      Please wait...
  2. le message : Les paquets suivants contiennent des dépendances non satisfaites :
    libwayland-egl1 : Casse: libwayland-egl1-mesa (< 18.0.0~rc5-1)
    libwayland-egl1-mesa : Est en conflit avec: libwayland-egl1
    E: Paquets défectueux
    root@raspberrypiMaison:~# ^C
    root@raspberrypiMaison:~#

    No votes yet.
    Please wait...

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.